/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2010, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.ws.jaxws.jbws3008.generated;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.jboss.test.ws.jaxws.jbws3008.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DoAddNumbersResponse_QNAME = new QName("http://foobar.org/", "doAddNumbersResponse");
    private final static QName _GetW3CEPR1_QNAME = new QName("http://foobar.org/", "getW3CEPR1");
    private final static QName _DoAddNumbers_QNAME = new QName("http://foobar.org/", "doAddNumbers");
    private final static QName _GetW3CEPR1Response_QNAME = new QName("http://foobar.org/", "getW3CEPR1Response");
    private final static QName _GetW3CEPR2_QNAME = new QName("http://foobar.org/", "getW3CEPR2");
    private final static QName _GetW3CEPR2Response_QNAME = new QName("http://foobar.org/", "getW3CEPR2Response");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jboss.test.ws.jaxws.jbws3008.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetW3CEPR2Response }
     * 
     */
    public GetW3CEPR2Response createGetW3CEPR2Response() {
        return new GetW3CEPR2Response();
    }

    /**
     * Create an instance of {@link GetW3CEPR1Response }
     * 
     */
    public GetW3CEPR1Response createGetW3CEPR1Response() {
        return new GetW3CEPR1Response();
    }

    /**
     * Create an instance of {@link GetW3CEPR2 }
     * 
     */
    public GetW3CEPR2 createGetW3CEPR2() {
        return new GetW3CEPR2();
    }

    /**
     * Create an instance of {@link GetW3CEPR1 }
     * 
     */
    public GetW3CEPR1 createGetW3CEPR1() {
        return new GetW3CEPR1();
    }

    /**
     * Create an instance of {@link DoAddNumbersResponse }
     * 
     */
    public DoAddNumbersResponse createDoAddNumbersResponse() {
        return new DoAddNumbersResponse();
    }

    /**
     * Create an instance of {@link DoAddNumbers }
     * 
     */
    public DoAddNumbers createDoAddNumbers() {
        return new DoAddNumbers();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DoAddNumbersResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "doAddNumbersResponse")
    public JAXBElement<DoAddNumbersResponse> createDoAddNumbersResponse(DoAddNumbersResponse value) {
        return new JAXBElement<DoAddNumbersResponse>(_DoAddNumbersResponse_QNAME, DoAddNumbersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetW3CEPR1 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "getW3CEPR1")
    public JAXBElement<GetW3CEPR1> createGetW3CEPR1(GetW3CEPR1 value) {
        return new JAXBElement<GetW3CEPR1>(_GetW3CEPR1_QNAME, GetW3CEPR1 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DoAddNumbers }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "doAddNumbers")
    public JAXBElement<DoAddNumbers> createDoAddNumbers(DoAddNumbers value) {
        return new JAXBElement<DoAddNumbers>(_DoAddNumbers_QNAME, DoAddNumbers.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetW3CEPR1Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "getW3CEPR1Response")
    public JAXBElement<GetW3CEPR1Response> createGetW3CEPR1Response(GetW3CEPR1Response value) {
        return new JAXBElement<GetW3CEPR1Response>(_GetW3CEPR1Response_QNAME, GetW3CEPR1Response.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetW3CEPR2 }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "getW3CEPR2")
    public JAXBElement<GetW3CEPR2> createGetW3CEPR2(GetW3CEPR2 value) {
        return new JAXBElement<GetW3CEPR2>(_GetW3CEPR2_QNAME, GetW3CEPR2 .class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetW3CEPR2Response }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://foobar.org/", name = "getW3CEPR2Response")
    public JAXBElement<GetW3CEPR2Response> createGetW3CEPR2Response(GetW3CEPR2Response value) {
        return new JAXBElement<GetW3CEPR2Response>(_GetW3CEPR2Response_QNAME, GetW3CEPR2Response.class, null, value);
    }

}
